

/*

________________________________________________________________

        ImageFormat.c
        %W% %E%, Copyright 1990, Blab, UiO
        Image processing lab, Department of Informatics
        University of Oslo
        E-mail: blab@uio.no
________________________________________________________________
  
  Permission to use, copy, modify and distribute this software and its
  documentation for any purpose and without fee is hereby granted, 
  provided that this copyright notice appear in all copies and that 
  both that copyright notice and this permission notice appear in supporting
  documentation and that the name of B-lab, Department of Informatics or
  University of Oslo not be used in advertising or publicity pertaining 
  to distribution of the software without specific, written prior permission.

  B-LAB DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL B-LAB
  BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 

*/

static char *SccsId = "%Z%%M% %I% %E%, Blab, UiO";


/*P:Image*

________________________________________________________________

		Image Widget Class
________________________________________________________________

Name:		ImageFormat - format dependent module for Image Widget
Description:	| ImageTitle(img)
                | IMAGE img;
		|
		| ImageAddress(band)
		| ImageBand band;
		|
		| ImageWidth(band)
		| ImageBand band;
		|
		| ImageHeight(band)
		| ImageBand band;
		|
		| ImageLineLength(band)
		| ImageBand band;
		|
		| ImageXstart(band)
		| ImageBand band;
		|
		| ImageYstart(band)
		| ImageBand band;
		|
		| ImagePixName(band)
		| ImageBand band;

________________________________________________________________

*/

#include <stdio.h>
#include <blab/biff.h>


char *ImageTitle(img)
struct imagestruct *img;
{
  fprintf(stderr, "ImageFormat: Not implemented yet\n");
  exit(2);
}

unsigned char *ImageAddress(band)
struct bandstruct *band;
{
  fprintf(stderr, "ImageFormat: Not implemented yet\n");
  exit(2);
}

int ImageWidth(band)
struct bandstruct *band;
{
  fprintf(stderr, "ImageFormat: Not implemented yet\n");
  exit(2);
}

int ImageHeight(band)
struct bandstruct *band;
{
  fprintf(stderr, "ImageFormat: Not implemented yet\n");
  exit(2);
}

int ImageLineLength(band)
struct bandstruct *band;
{
  fprintf(stderr, "ImageFormat: Not implemented yet\n");
  exit(2);
}

int ImageXstart(band)
struct bandstruct *band;
{
  fprintf(stderr, "ImageFormat: Not implemented yet\n");
  exit(2);
}

int ImageYstart(band)
struct bandstruct *band;
{
  fprintf(stderr, "ImageFormat: Not implemented yet\n");
  exit(2);
}

char *ImagePixName(band)
struct bandstruct *band;
{
  fprintf(stderr, "ImageFormat: Not implemented yet\n");
  exit(2);
}

